## dbus-tqt 3.5.13.3~pre57

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( dbus-tqt-1 )
set( VERSION "0.7" )


##### cmake setup ###############################

cmake_minimum_required( VERSION 2.8 )

include( FindPkgConfig )
include( CheckCXXSourceCompiles )
include( CheckSymbolExists )

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )
include( ConfigureChecks.cmake )


##### install paths setup #######################

tde_setup_install_path( EXEC_INSTALL_PREFIX   "${CMAKE_INSTALL_PREFIX}" )
tde_setup_install_path( LIB_INSTALL_DIR       "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )
tde_setup_install_path( INCLUDE_INSTALL_DIR   "${CMAKE_INSTALL_PREFIX}/include" )
tde_setup_install_path( PKGCONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/pkgconfig" )


##### install headers ###########################

install( FILES
    dbus-qt.h message.h connection.h server.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/dbus-1.0/dbus )


##### write pkgconfig file ######################

string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )

foreach( _lib ${PROJECT_NAME} ${DBUS_LIBRARIES} )
  set( PC_LIBRARIES "${PC_LIBRARIES} -l${_lib}" )
endforeach( )

configure_file( dbus-tqt.pc.cmake dbus-tqt.pc @ONLY )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/dbus-tqt.pc DESTINATION ${PKGCONFIG_INSTALL_DIR} )


##### build setup ###############################

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -include tqt.h" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )

add_definitions(
  -DQT_THREAD_SUPPORT
  ${TQT_CFLAGS_OTHER}
)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${DBUS_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### dbus-tqt-1 (shared) #########################

tde_add_library( dbus-tqt-1 SHARED AUTOMOC
  SOURCES
    dbus-qthread.cpp message.cpp connection.cpp
    integrator.cpp server.cpp
  VERSION 0.0.0
  LINK ${TQT_LIBRARIES} ${DBUS_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

## dbus-tqt 3.5.13.2

=== debian/changelog ===
dbus-tqt (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 14:10:56 +0200

dbus-tqt (0.63.svn.0ubuntu0) maverick; urgency=low

  * Migrate to Trinity Qt [TQt] Interface

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 23 March 2011 17:11:00 -0600

=== debian/control ===
Source: dbus-tqt
Section: devel
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>, Sebastian Dröge <slomo@ubuntu.com>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), quilt, libtqtinterface-dev, libdbus-1-dev (>= 0.90), cmake
Standards-Version: 3.8.3

Package: libdbus-tqt-1-dev
Section: libdevel
Architecture: any
Depends: libdbus-tqt-1-1c2 (= ${Source-Version}), libdbus-1-dev (>= 0.90), libtqtinterface-dev
Conflicts: dbus-tqt-1-dev
Replaces: dbus-tqt-1-dev
Description: simple interprocess messaging system (TQt interface)
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a TQt-style interface to D-BUS.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-tqt-1-1c2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: dbus-tqt-1, dbus-tqt-1c2, libdbus-tqt-1-1
Replaces: dbus-tqt-1, dbus-tqt-1c2, libdbus-tqt-1-1
Description: simple interprocess messaging system (TQt-based shared library)
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides the TQt-based shared library for applications using the
 Qt interface to D-BUS.
 .
 See the dbus description for more information about D-BUS in general.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright  2002,2003 Colin Walters <walters@verbum.org>
# Copyright  2003 Daniel Stone <daniels@debian.org>
# Copyright  2006 Sjoerd Simons <sjoerd@debian.org>

#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

# Strict library versioning
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

## dbus-tqt 3.5.13.3~pre57

=== debian/changelog ===
dbus-tqt (4:3.5.13.3~pre57-0ubuntu16.04.0+3) xenial; urgency=low

  * Automated git build for c11d29150ce06d66ec8f365c2cde6b6e39dfcef9

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 07 Jun 2021 01:30:27 +0200

=== debian/control ===
Source: dbus-tqt
Section: devel
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>, Sebastian Drge <slomo@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake-trinity, ninja-build, libtqtinterface-dev, libdbus-1-dev (>= 0.90)
Standards-Version: 3.8.3

Package: libdbus-tqt-1-dev
Section: libdevel
Architecture: any
Replaces: libdbus-tqt-1-dev (<< 4:3.5.13)
Breaks: libdbus-tqt-1-dev (<< 4:3.5.13)
Depends: libdbus-tqt-1-1c2 (= ${source:Version}), libdbus-1-dev (>= 0.90), libtqtinterface-dev
Conflicts: dbus-tqt-1-dev
Description: simple interprocess messaging system (TQt interface)
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a TQt-style interface to D-BUS.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-tqt-1-1c2
Section: libs
Architecture: any
Replaces: libdbus-tqt-1-1c2 (<< 4:3.5.13)
Breaks: libdbus-tqt-1-1c2 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Conflicts: dbus-tqt-1, dbus-tqt-1c2, libdbus-tqt-1-1
Description: simple interprocess messaging system (TQt-based shared library)
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides the TQt-based shared library for applications using the
 Qt interface to D-BUS.
 .
 See the dbus description for more information about D-BUS in general.

## dbus-tqt 14.1.0

=== debian/changelog ===
dbus-tqt (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#dbus-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

=== debian/control ===
Source: dbus-tqt
Section: devel
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>, Sebastian Drge <slomo@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libdbus-1-dev (>= 0.90)
Standards-Version: 3.8.3

Package: libdbus-tqt-1-1c2
Section: libs
Architecture: any
Replaces: libdbus-tqt-1-1c2 (<< 4:14.0.0~)
Breaks: libdbus-tqt-1-1c2 (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Conflicts: dbus-tqt-1, dbus-tqt-1c2, libdbus-tqt-1-1
Description: simple interprocess messaging system (TQt-based shared library)
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides the TQt-based shared library for applications using the
 Qt interface to D-BUS.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-tqt-1-dev
Section: libdevel
Architecture: any
Replaces: libdbus-tqt-1-dev (<< 4:14.0.0~)
Breaks: libdbus-tqt-1-dev (<< 4:14.0.0~)
Depends: libdbus-tqt-1-1c2 (= ${source:Version}), libdbus-1-dev (>= 0.90), libtqtinterface-dev
Conflicts: dbus-tqt-1-dev
Description: simple interprocess messaging system (TQt interface)
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a TQt-style interface to D-BUS.
 .
 See the dbus description for more information about D-BUS in general.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright  2002,2003 Colin Walters <walters@verbum.org>
# Copyright  2003 Daniel Stone <daniels@debian.org>
# Copyright  2006 Sjoerd Simons <sjoerd@debian.org>

#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

# Strict library versioning
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

# Build options
DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DWITH_ALL_OPTIONS="ON"

## dbus-tqt 14.1.1

=== debian/changelog ===
dbus-tqt (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#dbus-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 Jul 2023 09:56:48 +0200

## dbus-tqt 14.1.2

=== debian/changelog ===
dbus-tqt (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#dbus-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 15 Mar 2024 12:56:12 +0100

## dbus-tqt 14.1.3

=== debian/changelog ===
dbus-tqt (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#dbus-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 15 Mar 2024 12:56:12 +0100

## dbus-tqt 14.1.4

=== debian/changelog ===
dbus-tqt (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#dbus-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## dbus-tqt 14.1.5~pre0

=== debian/changelog ===
dbus-tqt (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for c0e37ab00518f8d0d609cf84f11c1423b27a02f4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#dbus-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## dbus-tqt 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,19 +9,25 @@
 #
 #################################################
 
-project( dbus-tqt-1 )
-set( VERSION "0.7" )
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
-##### cmake setup ###############################
+##### general package setup #####################
 
-cmake_minimum_required( VERSION 2.8 )
+project( dbus-tqt-1 )
+
+
+##### include essential cmake modules ###########
 
 include( FindPkgConfig )
 include( CheckCXXSourceCompiles )
 include( CheckSymbolExists )
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
 include( ConfigureChecks.cmake )
 
@@ -58,10 +64,10 @@
 ##### build setup ###############################
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -include tqt.h" )
-set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
 
 add_definitions(
-  -DQT_THREAD_SUPPORT
+  -DTQT_THREAD_SUPPORT
   ${TQT_CFLAGS_OTHER}
 )

=== debian/changelog ===
dbus-tqt (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#dbus-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>, Sebastian Drge <slomo@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libdbus-1-dev (>= 0.90)
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libdbus-1-dev (>= 0.90)
 Standards-Version: 3.8.3
 
 Package: libdbus-tqt-1-1c2

## dbus-tqt 14.1.6~pre0

=== debian/changelog ===
dbus-tqt (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c0e37ab00518f8d0d609cf84f11c1423b27a02f4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dbus-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## dbus-tqt 14.1.6~pre1

=== debian/changelog ===
dbus-tqt (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e7700ffc7aa233679502098ec592aeeb704c109e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dbus-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 17 Dec 2025 05:04:46 +0100

## dbus-tqt 14.1.6~pre2

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,16 +28,21 @@
 include( CheckCXXSourceCompiles )
 include( CheckSymbolExists )
 
+
+##### include our cmake modules #################
+
 include( TDEMacros )
-include( ConfigureChecks.cmake )
 
 
-##### install paths setup #######################
+##### setup install paths #######################
 
-tde_setup_install_path( EXEC_INSTALL_PREFIX   "${CMAKE_INSTALL_PREFIX}" )
-tde_setup_install_path( LIB_INSTALL_DIR       "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )
-tde_setup_install_path( INCLUDE_INSTALL_DIR   "${CMAKE_INSTALL_PREFIX}/include" )
-tde_setup_install_path( PKGCONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/pkgconfig" )
+include( TDESetupPaths )
+tde_setup_paths( )
+
+
+##### configure checks
+
+include( ConfigureChecks.cmake )
 
 
 ##### install headers ###########################

=== debian/changelog ===
dbus-tqt (4:14.1.6~pre2-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 87ca38d73d14ad3306a403d3a025cb08192d017f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dbus-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 25 Feb 2026 01:20:41 +0100

dbus-tqt (4:14.1.6~pre0-0) forky; urgency=low

  * Removed Replaces and Breaks referring to themselves.
  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 24 Feb 2026 18:48:38 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2002,2003 Colin Walters <walters@verbum.org>
# Copyright © 2003 Daniel Stone <daniels@debian.org>
# Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

ifdef DEB_HOST_MULTIARCH
  CMAKE_INSTALL_LIBDIR = lib/$(DEB_HOST_MULTIARCH)
else
  CMAKE_INSTALL_LIBDIR = lib
endif

# Strict library versioning
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

# Build options
DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_INSTALL_LIBDIR=$(CMAKE_INSTALL_LIBDIR)
